Get Multiple
List Assets
Retrieve a list of all available crypto assets with their key metadata
GET
/
v1
/
assets
List Assets
curl --request GET \
--url https://api.blockworks.com/v1/assets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}
]
}Overview
This endpoint returns a paginated list of crypto assets supported by the API. Each asset includes its identifier, symbol, slug, description, and other metadata used across API endpoints. Use this endpoint to discover assets before querying metrics, prices, or other detailed data.Example Request
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.blockworks.com/v1/assets?limit=20"
const response = await fetch(
'https://api.blockworks.com/v1/assets?limit=20',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
)
const data = await response.json()
import requests
response = requests.get(
'https://api.blockworks.com/v1/assets',
headers={'x-api-key': 'YOUR_API_KEY'},
params={'limit': 20}
)
data = response.json()
Example Response
A successful response returns a paginated list of assets.{
"data": [
{
"id": 1,
"code": "NEAR",
"title": "NEAR Protocol",
"slug": "near-protocol",
"tag_line": "A scalable, developer-friendly blockchain",
"description": "NEAR is a decentralized development platform that uses a Proof-of-Stake (PoS) consensus mechanism and will eventually feature a sharded architecture to scale transaction throughput. Its block generation scheme is called Doomslug and its proposed sharding design is dubbed Nightshade. These technologies will work together to scale the network and minimize congestion. NEAR has also been designed to be developer and user-friendly as it features a few key innovations to accelerate the application development and user-onboarding processes. The NEAR blockchain was created and developed by the NEAR Foundation. Its mainnet went live in April 2020, and network validators voted to unlock token transfers in October 2020. NEAR's bridge to Ethereum (called the Rainbow Bridge) launched in March 2021.",
"image_url": "https://coin-images.coingecko.com/coins/images/10365/large/near.jpg?1696510367",
"category": "Infrastructure",
"updated_at": 1761160398,
"type": "Infrastructure",
"sector": "L1"
},
... // more assets
],
"total": 133030,
"page": 1
}
Supported Options
| Name | Type | Details |
|---|---|---|
expand | query | The fields to expand. See Expand Options for more details. |
limit | query | The number of assets to return. |
page | query | The page number to return. |
Response Fields
| Field | Type | Description |
|---|---|---|
category | string | Asset category (e.g., Infrastructure, DeFi) |
code | string | Asset ticker symbol (e.g., BTC, ETH) |
description | string | Detailed asset description |
id | number | Unique asset identifier |
image_url | string | URL to asset logo/image |
sector | string | Sector of the asset |
slug | string | URL-friendly identifier |
tag_line | string | Short description or tagline |
title | string | Full asset name |
type | string | Asset type classification |
updated_at | number | Unix timestamp of last update |
Notes
- Results are paginated — use
limitandpagequery parameters to navigate. - Asset identifiers returned here can be used as
projectorassetparameters in other API endpoints.
Related Endpoints
Authorizations
Query Parameters
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 1000Maximum string length:
20Maximum string length:
100Available options:
addresses, chains, addresses.chain, markets, market_cap, ohlcv_last_24_h, price, reference, sector, supply Maximum string length:
65535Available options:
code, slug, market_cap.rank, market_cap.percent_change_usd_1_h, market_cap.percent_change_usd_24_h, market_cap.usd, markets.volume_24_h, price.usd, sector.title, supply.total Available options:
asc, desc